package api

import (
	"go-api/pkg/context"
	"go-api/router/middleware"

	"github.com/gin-gonic/gin"
)

var patch = context.PatchContext

// SetAPIRoute
func SetAPIRoute(r *gin.RouterGroup) {
	r.Use(patch(middleware.ServerPanicCatch()))
}
